Subject: Re: bug#58005: 13.1.4; Can't work with indirect buffers

From: Arash Esbati <[email-masked]>
Date: Sat, 04 May 2024 23:25:34 +0200

Paul Nelson <[email-masked]> writes:

> Somewhere between when I tried Vangelis's patch (earlier in this
> thread) and when it was installed, it seems that a further change was
> made to preview-region that breaks previews in indirect buffers.
> Specifically, the substitution buffer-file-name ->
> (TeX-buffer-file-name) was applied where it shouldn't be.
>
> The issue is as explained in my earlier email in this thread -- we
> actually want "<none>" to be the filename when doing previews for
> indirect buffers, so that preview-parse-messages ultimately places
> them according to the command buffer rather than according to the
> filename.  (It might clarify here to note that AFAIK, the "original"
> argument to TeX-region-create is relevant only when doing
> preview-document, which is irrelevant for indirect buffers.)
>
> I've attached a patch reverting this particular substitution, so that
> previews once again work in indirect buffers.

@Keita and Vangelis: Any comments on Paul's proposal?

Best, Arash